
package edu.udo.cs.URLChecker;
import java.io.*;
import java.net.*;


import sun.net.www.protocol.http.HttpURLConnection;

public class CookieTest {

	public static void dump(URLConnection connection) throws IOException{
	BufferedReader in =
		new BufferedReader(
			new InputStreamReader(connection.getInputStream()));
	System.out.println("inputLine");

	String inputLine=null;
	while ((inputLine = in.readLine()) != null)
		System.out.println(inputLine);

	in.close();
	}

	
	public static void main(String[] args) throws IOException{

			URL url2 = new URL("http://kissen.cs.uni-dortmund.de:8080/post-login.html");
			HttpURLConnection connection = (HttpURLConnection) url2.openConnection();
			connection.setDoOutput(true);
			connection.setInstanceFollowRedirects(false);
  		    connection.setRequestMethod( "POST");

			OutputStreamWriter w = new OutputStreamWriter(connection.getOutputStream());
			w.write("password=wwwfueralle&login=alle");
			w.close();

		//	
			System.out.println("Response code:" + connection.getResponseCode());			
			String cookieInternalRaw = connection.getHeaderField("Set-Cookie");
			String cookieInternal = cookieInternalRaw.substring(0,
			cookieInternalRaw.indexOf(";"));
			System.out.println("Das ist das Cookie:" + cookieInternalRaw + "#");

			dump(connection);


			url2 = new URL("http://www-ai.cs.uni-dortmund.de/ls8/index.html");//auto?expr=DuDSeminar");
			connection = (HttpURLConnection) url2.openConnection();
			connection.setRequestMethod( "GET");
			connection.setRequestProperty("Cookie", cookieInternal);
		//	connection.setRequestProperty("Referrer", "http://www-ai.cs.uni-dortmund.de");
		// 	connection.setRequestProperty("Host", "www-ai.cs.uni-dortmund.de");
			System.out.println("#" + connection.getRequestProperty("Cookie") + "#");
			
			connection.setUseCaches(false);
			System.out.println(connection.toString());	
			dump(connection);



	}
	
}

