package edu.udo.cs.URLChecker;

import java.awt.GridLayout;
import java.awt.BorderLayout;
import java.awt.FlowLayout;
import java.awt.Dimension;
import java.awt.Toolkit;

import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.JPasswordField;
import javax.swing.JButton;
import javax.swing.JOptionPane;

/**
 * @author hakenjos
 * @version 1.0
 */
public class LoginFrame {

	private JTextField textfield;
	private JPasswordField passwdfield;
	private int command;
	
	/**
	 * Constructor for LoginFrame.
	 * @param title
	 */
	public LoginFrame(String title){
		command=JOptionPane.CANCEL_OPTION;
		initComponents(title);
	}


	private void initComponents(String title){

		JPanel toppanel=new JPanel();
		
		JPanel leftpanel=new JPanel();
		JPanel rightpanel=new JPanel();
		
		JPanel bottompanel=new JPanel();
		
		toppanel.setLayout(new BorderLayout(5,5));
		leftpanel.setLayout(new GridLayout(2,1));
		rightpanel.setLayout(new GridLayout(2,1));
		bottompanel.setLayout(new FlowLayout());
		
		
		leftpanel.add(new JLabel("User",JLabel.LEFT));
		
		textfield=new JTextField(20);
		rightpanel.add(textfield);
		
		
		leftpanel.add(new JLabel("Password",JLabel.LEFT));
		
		passwdfield=new JPasswordField(20);
		rightpanel.add(passwdfield); 
		
		toppanel.add(leftpanel,BorderLayout.WEST);
		toppanel.add(rightpanel,BorderLayout.CENTER);

		command=JOptionPane.showConfirmDialog(null,toppanel,title,JOptionPane.OK_CANCEL_OPTION,JOptionPane.QUESTION_MESSAGE);

	}
	
	
	public String getUser(){
		if (command==JOptionPane.OK_OPTION)
			return textfield.getText();
		return null;
	}
	
	public String getPassword(){
		if (command==JOptionPane.OK_OPTION)
			return new String(passwdfield.getPassword());
		return null;
	}

/*	public static void main(String[] args){
		
		LoginFrame lf =new LoginFrame("Login required");


		System.out.println("User:\t"+lf.getUser());
		System.out.println("Password:\t"+lf.getPassword());
	}*/
}
